Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Max Operating Temperature Min Operating Temperature Color Gender Length RoHS Status Package / Case REACH SVHC Impedance Resistance Operating Temperature Connector Type A Connector Type B Feature Polarity Style Cable Length Wire/Cable Type Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
RFC-1811 RFC-1811 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1523 RFC-1523 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-2352 RFC-2352 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
X116BFSX10036 X116BFSX10036 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Male to Male 36.00 914.40mm RoHS Compliant 50Ohm -65°C~200°C Plug Shielded 2.92mm to 2.92mm Coaxial 40GHz 2.92mm Male Plug 2.92mm Male Plug HP 160S
X112BFSX10036 X112BFSX10036 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Male to Male 36.00 914.40mm RoHS Compliant 50Ohm -65°C~200°C Plug Shielded 2.92mm to 2.92mm Coaxial 40GHz 2.92mm Male Plug 2.92mm Male Plug HP 120S
N145BFBN10024 N145BFBN10024 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Male to Male 24.00 609.60mm RoHS Compliant 50Ohm -65°C~200°C Plug Shielded N-Type to N-Type Coaxial 12GHz N Male Plug N Male Plug HP 450S
5151-DKF-0048 5151-DKF-0048 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2012 DKT Active 1 (Unlimited) Grey Male to Male 48.0 1.2m 4.0' RoHS Compliant Unknown 50Ohm 50Ohm -65°C~200°C Plug Shielded N-Type to N-Type 1.2192m Coaxial 26GHz N Male Plug N Male Plug HP 190S Male
Z112LCSZ10060 Z112LCSZ10060 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Gray Male to Male 60.0 1.5m 5.0' RoHS Compliant 50Ohm -65°C~200°C Plug Shielded 2.4mm to 2.4mm Coaxial 40GHz 2.4mm Male Plug 2.4mm Male Plug HP 120S
2151-DKF-0036 2151-DKF-0036 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) 200°C -65°C Grey Male to Male 36.00 914.40mm RoHS Compliant SMA Unknown 50Ohms 50Ohm -65°C~200°C Plug, SMA Plug Shielded SMA to N-Type 914.4mm Coaxial 26GHz SMA Male Plug N Male Plug HP 190S Male Male
Z116BFSZ10036 Z116BFSZ10036 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Male to Male 36.00 914.40mm RoHS Compliant 50Ohm -65°C~200°C Plug Shielded 2.4mm to 2.4mm Coaxial 40GHz 2.4mm Male Plug 2.4mm Male Plug HP 160S
X112BFSX10048 X112BFSX10048 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks Cable 2010 HPI Active 1 (Unlimited) Male to Male 48.0 1.2m 4.0' RoHS Compliant 50Ohm -65°C~200°C Plug Shielded 2.92mm to 2.92mm Coaxial 40GHz 2.92mm Male Plug 2.92mm Male Plug HP 120S
CBLRF6MT-9 CBLRF6MT-9 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Obsolete Not Applicable 1.8288m RoHS Compliant Female
CBLRF7MT-9 CBLRF7MT-9 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Obsolete Not Applicable 2.1336m RoHS Compliant Female
CBLSS100 CBLSS100 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Obsolete Not Applicable
CBLRF9MT-9 CBLRF9MT-9 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Obsolete Not Applicable RoHS Compliant
CBLSS200 CBLSS200 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Obsolete Not Applicable
CBLRF120N CBLRF120N Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Bulk Obsolete Not Applicable 3.048m RoHS Compliant 120 Male
CBLRF120NR CBLRF120NR Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Obsolete Not Applicable 304.8mm RoHS Compliant 120 Normal, Reverse Male
CTL3VGAMF-15T CTL3VGAMF-15T L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CC223N-7.5 CC223N-7.5 L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CC223T-1.5 CC223T-1.5 L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CC58C-25 CC58C-25 L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CC174RP-15 CC174RP-15 L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6352-6 73-6352-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6362-3 73-6362-3 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6362-6 73-6362-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7474#0100 02Y7474#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7475#0100 02Y7475#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7470#0500 02Y7470#0500 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
095-902-462-012 095-902-462-012 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2017 Active Not Applicable Gray Female to Cable 12.00 304.80mm RoHS Compliant 50Ohms -20°C~75°C Shielded SMA to Cable 18GHz SMA Female Jack Cable (Round) Micro Coaxial
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support